﻿;
; name: PBEdFilePrint
; short description: used as a tool in the PureBasic editor; prints the source code
; version: 1.0.0 - first version - basically complete
; PureBasic version: 5.31
; author: Ferdinand Schinkel
;
; How To Use:
; make the executable of this source, put in in yer PureBasic directory
; in PureBasic menu choose "Tools", "Configure Tools" 
; choose "New" and add the executable, on the arguments line fill in "%FILE" (WITH quotes)
; leave working directory empty, give it a name and, if so desired, a shortcut  
; et voila !
;

IncludeFile "LPRINT_plus.pbi"

LP_SET_PAGE_PREFS(1, "", "L")   
;
LP_Title_Font="Lucida Console":LP_Title_Fontsize=12
;
NumberOfParameters.l = CountProgramParameters()
If CountProgramParameters() > 0
  PBFilePrint.s=ProgramParameter()
EndIf

If PBFilePrint=""
  MessageRequester("PB FilePrint info", "no file to print", 4144)
  End  
EndIf

findslash=1
For i = 1 To CountString(PBFilePrint,"\")
  findslash=FindString(PBFilePrint,"\",findslash)
  findslash+1
Next

lp_title_name=Mid(PBFilePrint,findslash,Len(PBFilePrint)-findslash+1)

lp_text_fontsize=9

LP_START_PRINTING(0) ; param 0=no PrintRequester, 1=PrintRequester
                     ;
LPRINTF(PBFilePrint)
 
LP_END_PRINTING()

End
; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 16
; EnableUnicode
; EnableXP
; Executable = PBEdFilePrint.exe